@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100..900&display=swap');

section#header-dash, section#header-dash h6, section#header-dash button, section#main-dash, section#main-dash h5, section#main-dash h6, section#main-dash p, section#main-dash span, section#main-dash div, section#main-dash a,
label, input, textarea{
    font-family: "Inter", serif !important;
    font-optical-sizing: auto;
    font-style: normal;
}
.preview-ref h6,
.preview-ref b,
.preview-ref p{
    font-family: "Inter", serif !important;
    font-optical-sizing: auto;
    font-style: normal;
}
.preview-ref h6{
    font-size:1rem !important;
}
.btn-form {
    padding: 0.5rem !important;
    background-color: #ffffff;
    outline: none;
    border: none;
    border-radius: 6px;
}
.btn-form img{
    width: 20px;
    height: 20px;
}
#btn-kumpul-label,#btn-kembali-label,#btn-save-label,#btn-excel-label,#btn-print-label{
    font-size: 0.875rem !important;
}

#main-dash h6:not(#judul-form,#progress-title){
    font-size:1.3rem !important;
}

#judul-form, #progress-title{
    font-size: 1rem !important;
}

#header-dash{
    height: 60px;
    position: fixed;
    background: white;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 0.5rem 1.5rem;
    width: 100%;
    z-index: 2;
}
.btn-form-label{
    font-weight: 600;
    margin-left: 0.5rem;
}
.btn-form:hover {
    background-color: #EFEFEF;
}
.btn-form:active {
    background-color: #bfbfbf;
}
.text-red{
    color: #FF0000;
}
.text-green{
    color: #61C554;
}
.bg-green{
    background: #61C554;
    color: white;
}
#navbar-karyawan{
    position: fixed;
    width: 100%;
    height: unset;
    padding: 0.2rem 1.5rem;
    z-index: 10;
}
.nav-item{
    margin-bottom: 0px;
}
.nav-link{
    color: #8B8A8D;
}
.nav-link.active, .nav-link:hover{
    color: #375CB4;
}
.nav-link.active::after {
    content: " ";
    position: relative;
    background: #375CB4;
    width: 15px;
    display: flex;
    height: 3px;
    text-align: center;
    margin:0 auto;
}

.timeline-item{
    cursor: pointer;
    padding: 0px 1.5rem;
}  
.timeline-body {
    padding: 16px 0px;
    display: flex;
    align-items: center;
    gap: 16px;
    border-bottom: 1px solid #BABCBE;
}

.timeline-item.active{
    background: #ECF3FF;
    border-left: 4px solid #375CB4;
    padding: 0px 1.5rem 0px 1.2rem;
}

.timeline-body .icon-box {
    width: 60px;
    height: 60px;
    background-color: #ECF3FF;
    border-radius: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.timeline-body .icon-box img {
    width: 20px;
}

.timeline-body .details {
    flex: 1;
}

.timeline-body .details .date {
    font-size: 1rem;
    color: #212529;
}

.timeline-body .details .date-value {
    font-size: 1rem !important;
    color: #212529;
}

.timeline-body .details .status {
    color: #28a745; /* Green checkmark */
    margin-left: 8px;
}

.timeline-body .details .description {
    overflow: hidden; /* Hides the overflow */
    display: -webkit-box; /* Creates a flexbox-like structure */
    line-clamp: 2;
    -webkit-box-orient: vertical; /* Orients the box vertically */
    -webkit-line-clamp: 2; /* Limits the content to 2 lines */
    text-overflow: ellipsis; /* Optional: Adds '...' if truncated */
    white-space: normal; /* Ensures the text wraps within the container */
}

div.category{
    display: flex;
    gap: 10px;
}
div.category .badge{
    cursor: pointer;
}

.badge-blue, .badge-outer-blue{
    border-radius: 20px;
    border: 1px solid #375CB4;
    padding: 7px !important;
    font-weight: normal !important;
}
.badge-blue{
    color: white;
    background: #375CB4;
}
.badge-outer-blue{
    color: #375CB4;
}
/* Hide scrollbar for Chrome, Safari and Opera */
#daftar_soal_list::-webkit-scrollbar {
    display: none;
}
#daftar_soal_list{
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */
}
.progress{
    height: 8px;
}
.progress-bar{
    background: #375CB4;
}
.progress-content{
    position: fixed; 
    bottom: 1rem; 
    width: calc(400px - 3rem); 
    background: #ECF3FF; 
    border-radius: 10px; 
    height: 100px;
    z-index: 3;
    padding: 1rem;
    margin: 0 1.5rem;
    border: 1px solid #375CB4;
}
.banner{
    height: 400px;
    width: 100%;
    background: white;
    border-radius: 20px;
    display: flex; /* Enable flexbox */
    align-items: center; /* Vertically center content */
    justify-content: flex-start;
    background-image: url("../asset_dore/img/bgimage.png");
    background-size: cover;
}

button.disabled{
    cursor: not-allowed;
}

.btn-blue{
    background: #375CB4;
    color: white;
    padding: 0px 10px !important;
    border-radius: 100px !important;
}
.btn-blue:hover{
    background: #375db4e9;
    color: white;
}
.bold{
    font-weight: bold;
}
.table th{
    background: none !important;
    border-color: #D9D9D9 !important;
}
.table:not(.table-striped) td{
    background: white !important;
    border-color: #D9D9D9 !important;
    vertical-align: middle;
}
.table td:not(.selected-cell), .table th{
    padding: 8px !important;
}

#main-dash input, #main-dash select, #main-dash textarea, #main-dash .selectize-input{
    border-radius: 2px !important;
    border: 2px solid #000000;
}
.add-row{
    background: #F8F8F8;
    border: 1px dashed #8B8A8D !important;
    border-radius: 5px !important;
    padding: 5px !important;
    height: unset !important;
    gap:6px;
    color: black;
}
#daftar_soal{
    height: calc(100vh - 180px); background: white; 
    width: 400px; 
    position: fixed;
    top:175px;
    z-index:0
}
#daftar_soal_list{
    height: calc(100vh - 300px);overflow-y:auto;position: relative; padding-bottom: 100px;
}
#content_soal{
    margin-left: calc(400px + 15px); 
    margin-top: 60px;
    width: calc(100vw - 440px);
    z-index: 3
}
.form-input .form-body{
    min-height: calc(100vh - 360px);
}
.form-input .form-body .card-body{
    background: #ECF3FF;
}
.view-body .card-body, .ref-body .card-body{
    background: #ECF3FF;
}
.input-grid{
    width:100%;
}
.input-grid thead{
    background: #F1F3F4;
}
.table-view thead{
    background: #F1F3F4 !important;
}
.input-icon-date{
    margin-top:34px;margin-left:5px;position: absolute;top: 0;right: 25px;
}
.column-gap-25{
    column-gap: 0.25rem;
}

#form-tambah .selected-cell {
    padding: 0px !important;
}


/* TABLE */
#table-search
{
    border-collapse:collapse !important;
}

#table-search_filter label, #table-search_filter input
{
    width:100%;
}
.hidden{
    display: none;
}

.dataTables_wrapper .paginate_button.previous {
    margin-right: 0px; 
}

.dataTables_wrapper .paginate_button.next {
    margin-left: 0px; 
}

div.dataTables_wrapper div.dataTables_paginate {
    margin-top: 25px; 
}

div.dataTables_wrapper div.dataTables_paginate ul.pagination {
    justify-content: right; 
}

.dataTables_wrapper .paginate_button.page-item {
    padding-left: 5px;
    padding-right: 5px; 
}

.page-item.disabled .page-link{
    border:none !important;
    color: #374957 !important;
}

.page-item.active .page-link{
    border:1px solid #000000 !important;
    color: #374957 !important;
}

.dataTables_length select {
    border: 0;
    background: none;
    box-shadow: none;
    border:none;
    width:120px !important;
    transition-duration: 0.3s; 
}
table.dataTable,
.DTFC_LeftBodyWrapper,
.DTFC_Cloned {
    border-collapse: collapse !important;
}

div.dataTables_paginate{
    margin-top: 0px !important;
}

.dataTables_scrollBody thead th{
    padding: 0px 8px !important;
}

.table-striped tr.odd td {
    background-color: #f3f3f3 !important;
}

table.dataTable td{
    padding: 8px !important;
}
.table-striped tbody tr:nth-of-type(2n+1) td{
    background-color: #f3f3f3 !important;
}
.table-striped tbody tr:hover{
    background-color: #d7d7d7 !important;
}

@media screen and (max-width: 1280px){
    #daftar_soal{
        width: 300px; 
    }
    #content_soal{
        margin-left: calc(300px + 15px); 
        width: calc(100vw - 340px);
    }
    .progress-content{
        width: calc(300px - 3rem); 
    }
}

/* MASTER CSS */
#navbar_isi th, 
#navbar_isi td{
    padding:8px !important;
    vertical-align:middle !important;
}

#navbar_isi .bold{
    font-weight: bold !important;
}

#navbar_isi thead th{
    background: #E8E8E8 !important;
}


#navbar_isi .input-grid th, 
#navbar_isi .input-grid td:not(.p-0,.editing){
    padding: 2px 8px !important;
    height: 30px !important;
}

#navbar_isi #input-dok td{
    padding: 0px !important;
    height: 30px !important;
}

#navbar_isi .input-grid .form-control.selectize-control,
#navbar_isi #input-dok .form-control.selectize-control{
    height: 30px !important;
}

#navbar_isi div.selectize-control{
    height: 30px !important;
}

#navbar_isi .satuan-rp {
    position: absolute;
    top: 28px;
    left: 25px;
}

#navbar_isi .satuan {
    position: absolute;
    top: 28px;
    right: 20px;
    color: grey;
}

#navbar_isi .satuan-uang {
    position: absolute;
    top: 28px;
    left: 20px;
    color: grey;
}

#navbar_isi .currency.with-satuan:not(.money){
    padding-right: 30px !important;
}

#navbar_isi .currency.money.with-satuan{
    padding-left: 25px !important;
    padding-right: 10px !important;
}

#navbar_isi .form-control.currency.money {
    padding-right: 0;
}

#navbar_isi .search-item2{
    cursor:pointer;
}

#navbar_isi input.error{
    border:1px solid #dc3545;
}

#navbar_isi label.error{
    color:#dc3545;
    margin:0;
}

#navbar_isi #table-data_paginate,#table-search_paginate
{
    margin-top:0 !important;
}


#navbar_isi #table-data_paginate ul,#table-search_paginate ul
{
    float:right;
}

#navbar_isi .form-body
{
    position: relative;
    overflow: auto;
}

#navbar_isi #content-delete
{
    position: relative;
    overflow: auto;
}

#navbar_isi .hidden{
    display:none;
}

#navbar_isi .datetime-reset-button {
    margin-right: 20px !important;
    margin-top: 3px !important;
}

#navbar_isi #table-search
{
    border-collapse:collapse !important;
}

#navbar_isi #table-search_filter label, #table-search_filter input
{
    width:100%;
}

#navbar_isi .dataTables_wrapper .paginate_button.previous {
    margin-right: 0px;
}

#navbar_isi .dataTables_wrapper .paginate_button.next {
    margin-left: 0px;
}

#navbar_isi div.dataTables_wrapper div.dataTables_paginate {
    margin-top: 25px;
}

#navbar_isi div.dataTables_wrapper div.dataTables_paginate ul.pagination {
    justify-content: right;
}

#navbar_isi .dataTables_wrapper .paginate_button.page-item {
    padding-left: 5px;
    padding-right: 5px;
}

#navbar_isi .dataTables_length select {
    border: 0;
    background: none;
    box-shadow: none;
    border:none;
    width:120px !important;
    transition-duration: 0.3s;
}

#navbar_isi #table-data_filter label
{
    width:100%;
}

#navbar_isi #table-data_filter label input
{
    width:inherit;
}

#navbar_isi #searchData
{
    font-size: .75rem;
    height: 31px;
}

#navbar_isi .dropdown-toggle::after {
    display:none;
}

#navbar_isi .dropdown-aksi > .dropdown-item{
    font-size : 0.7rem;
}

#navbar_isi .last-add::before{
    content: "***";
    background: var(--theme-color-1);
    border-radius: 50%;
    font-size: 5px;
    position: relative;
    top: -2px;
    left: -10px;
}

#navbar_isi .btn-light2{
    background:#F8F8F8;
    color:#D4D4D4;
}

#navbar_isi .btn-light2:hover{
    color:#131113;
}

#navbar_isi .btn-light2:active{
    color: #131113;
    background-color: #d8d8d8;
}

#navbar_isi .custom-file-label::after{
    content:"Cari berkas" !important;
    border-left:0;
    color: var(--theme-color-1) !important;
}

#navbar_isi .focus{
    box-shadow:none !important;
}

#navbar_isi .ui-selected{
    background: #e8e8e8 !important;
    color: unset !important;
}

#navbar_isi .selected{
    background: var(--theme-color-1-10) !important;
    color: unset !important;
}

#navbar_isi .selected2{
    background: #e8e8e8 !important;
    color: unset !important;
}

#navbar_isi #table-belum,
#navbar_isi #table-sudah
{
    border-collapse:collapse !important;
}


#navbar_isi #table-belum_filter label, 
#navbar_isi #table-belum_filter input,
#navbar_isi #table-sudah_filter label, 
#navbar_isi #table-sudah_filter input
{
    width:100%;
}

#navbar_isi #table-sudah tbody tr:hover,
#navbar_isi #table-belum tbody tr:hover, 
#navbar_isi #sai-treegrid tbody tr:hover
{
    background:#f8f8f8 !important;
    border-color:#f8f8f8 !important;
    cursor:pointer;
}

#navbar_isi div.dataTables_wrapper div.dataTables_filter input{
    height:30px !important;
}

#navbar_isi .input-group-prepend, 
#navbar_isi textarea.form-control{
    border-top-left-radius: 0.25rem;
    border-bottom-left-radius: 0.25rem;
    box-shadow: 0px 4px 8px rgba(153, 153, 153, 0.25) !important;
}

#navbar_isi textarea.form-control{
    box-shadow: 0px 4px 8px rgba(153, 153, 153, 0.25) !important;
    border: 1px solid #BABCBE !important;
}

#navbar_isi .readonly > .input-group-prepend{
    background: #e9ecef !important;
}

#navbar_isi .readonly > .search-item2{
    background: #e9ecef !important;
    cursor:not-allowed;
    display:none;
}

#navbar_isi .input-group > .form-control
{
    border-radius: 0.25rem !important;
}

#navbar_isi .input-group-prepend > span {
    margin: 5px;padding: 0 5px;
    background: #e9ecef !important;
    border: 1px solid #e9ecef !important;
    border-radius: 0.25rem !important;
    color: var(--theme-color-1);
    font-weight:bold;
    cursor:pointer;
}

#navbar_isi .readonly > .input-group-prepend > span {
    margin: 5px;padding: 0 5px;
    background: #f3f3f3 !important;
    border: 1px solid #000000 !important;
    border-radius: 0.25rem !important;
    color: black;
    font-weight:bold;
    cursor:pointer;
}

#navbar_isi span[class^=info-name]{
    cursor:pointer;font-size: 12px;position: absolute; top: 3px; left: 52.36663818359375px; padding: 5px 0px 5px 5px; z-index: 2; width: 180.883px;background:white;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    line-height:22px;
}

#navbar_isi .readonly > span[class^=info-name] {
    cursor:pointer;font-size: 12px;position: absolute; top: 3px; left: 52.36663818359375px; padding: 5px 0px 5px 5px; z-index: 2; width: 180.883px;background:white;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    line-height:22px;
    background: #e9ecef !important;

}

#navbar_isi .saicon {
    display: inline-block;
    width: 14px;
    height: 14px;
    background: black;
    -webkit-mask-size: cover;
    mask-size: cover;
}

#navbar_isi .icon-tambah {
    background: #505050;
    /* mask: url("{{ url('img/add.svg') }}"); */
    -webkit-mask-image: url("img/add.svg");
    mask-image: url("img/add.svg");
    width: 12px;
    height: 12px;
}

#navbar_isi .icon-close {
    background: var(--success) !important;
    -webkit-mask-image: url("../../asset_dore/icon/lock.svg");
    mask-image: url("../../asset_dore/icon/lock.svg");
    width: 18px;
    height: 18px;
}

#navbar_isi .icon-open {
    background: #d4d4d4 !important;
    -webkit-mask-image: url("../../asset_dore/icon/unlock.svg");
    mask-image: url("../../asset_dore/icon/unlock.svg");
    width: 18px;
    height: 18px;
}

#navbar_isi .info-icon-hapus{
    font-size: 14px;
    position: absolute;
    top: 10px;
    right: 35px;
    z-index: 3;
}

#navbar_isi .readonly >  .info-icon-hapus{
    display:none;
}


#navbar_isi .form-control {
    /* padding: 0.1rem 0.5rem; */
    border-radius: 0.25rem !important;
}

#navbar_isi .input-grid .form-control {
    border-radius: 0rem !important;
}

#navbar_isi .input-grid .selectize-input {
    border-radius: 0rem !important;
}


#navbar_isi .readonly >  .form-control{
    background: #e9ecef !important;
}


#navbar_isi .selectize-input {
    min-height: unset !important;
    padding: 0.1rem 0.25rem;
    line-height: 30px;
    border-radius: 0.25rem;
}

#navbar_isi .selectize-input.locked{
    background: #e9ecef !important;
    cursor:not-allowed;
}

#navbar_isi label{
    margin-bottom: 0.2rem;
}


#navbar_isi .search-item2{
    cursor:pointer;
    font-size: 16px;margin-left:5px;position: absolute;top: 5px;right: 10px;background: white;padding: 5px 0 5px 5px;z-index: 3;height:27px;
}

#navbar_isi #preview-close
{
    line-height:1.5;padding: 0;background: none;appearance: unset;opacity: unset;right: -20px;position: relative;top: 3px;
}

#navbar_isi #preview-close > span
{
    border-radius: 50%;padding: 0 0.45rem 0.1rem 0.45rem;background: white;color: black;font-size: 1.2rem !important;font-weight: lighter;box-shadow:0px 1px 5px 1px #80808054
}

#navbar_isi #preview-close > span:hover
{
    color:white;
    background:red;
}

#navbar_isi h6{
    font-size: 1rem !important;
}

#navbar_isi .info-icon-hapus{
    cursor: pointer;
}

#navbar_isi #table-data tr.selected, .input-grid tr.selected-row
{
    background: unset !important;
    color:unset !important;
}

#navbar_isi .ui-draggable-handle{
    cursor:move;
}

#navbar_isi #form-tambah .selected-cell {
    padding: 0px !important;
}

#navbar_isi .dataTables_paginate.paging_simple_numbers{
    margin-top: 0px !important;
}

#navbar_isi .btn-white{
    background: white;
    color:#000000;
    border:1px solid #BABCBE;
    border-radius: 0.25rem !important;
    padding: 0rem 1.25rem !important;
    box-shadow: 0px 4px 8px rgba(153, 153, 153, 0.25) !important;
}

#navbar_isi #page-count{
    border-radius: 0.25rem !important;
    border:1px solid #BABCBE !important;
    position: relative;
    top: 0.5px;
}

#navbar_isi .page-countdata .selectize-input{
    box-shadow: 0px 4px 8px rgba(153, 153, 153, 0.25) !important;
    border-radius: 0.25rem !important;
    border:1px solid #BABCBE !important;
    position: relative;
}

#navbar_isi #saku-datatable #searchData{
    border-radius:0.25rem !important;height:30px;border:1px solid #BABCBE !important;padding-left:2.5rem;
    box-shadow: 0px 4px 8px rgba(153, 153, 153, 0.25) !important;
}

#navbar_isi #table-data_wrapper{
    height: unset !important;
}

#navbar_isi table.dataTable{
    border-collapse: collapse !important;
}

#navbar_isi table.dataTable th, 
#navbar_isi table.dataTable td{
    border-color: #E8E8E8 !important;
}

#navbar_isi .btn{
    border-radius: 0.25rem !important;
}

@font-face {
    font-family: 'FontAwesome';
    src: url('../../../assets/fonts/fontawesome-webfont.eot?v=4.7.0');
    src: url('../../../assets/fonts/fontawesome-webfont.eot?#iefix&v=4.7.0') format('embedded-opentype'), url('../../../assets/fonts/fontawesome-webfont.woff2?v=4.7.0') format('woff2'), url('../assets/fonts/fontawesome-webfont.woff?v=4.7.0') format('woff'), url('../assets/fonts/fontawesome-webfont.ttf?v=4.7.0') format('truetype'), url('../assets/fonts/fontawesome-webfont.svg?v=4.7.0#fontawesomeregular') format('svg');
    font-weight: normal;
    font-style: normal;
}

#navbar_isi table.dataTable thead .sorting:before,

#navbar_isi table.dataTable thead .sorting_asc:before,

#navbar_isi table.dataTable thead .sorting_desc:before,

#navbar_isi table.dataTable thead .sorting_asc_disabled:before,

#navbar_isi table.dataTable thead .sorting_desc_disabled:before {
  right: 0 !important;
  content: "" !important;
}

#navbar_isi table.dataTable thead .sorting:after,

#navbar_isi table.dataTable thead .sorting_asc:after,

#navbar_isi table.dataTable thead .sorting_desc:after,

#navbar_isi table.dataTable thead .sorting_asc_disabled:after,

#navbar_isi table.dataTable thead .sorting_desc_disabled:after {
  right: 0 !important;
  content: "" !important;
}


#navbar_isi table.dataTable thead th.sorting:after,

#navbar_isi table.dataTable thead th.sorting_asc:after,

#navbar_isi table.dataTable thead th.sorting_desc:after {
    position: absolute !important;
    top: 3px !important;
    right: 20px !important;
    display: block !important;
    font-family: FontAwesome !important;
}


#navbar_isi table.dataTable thead th.sorting:before,

#navbar_isi table.dataTable thead th.sorting_asc:before,

#navbar_isi table.dataTable thead th.sorting_desc:before {
    position: absolute !important;
    top: 3px !important;
    right: 20px !important;
    display: block !important;
    font-family: FontAwesome !important;
}


#navbar_isi table.dataTable thead th.sorting:after {
    content: "\f0dc" !important;
    font-size: 1.4em !important;
    padding-top: 0.13em !important;
    opacity: 1;
}

#navbar_isi table.dataTable thead th.sorting_asc:after {
    content: "\f0dc" !important;
    font-size: 1.4em !important;
    padding-top: 0.13em !important;
}

#navbar_isi table.dataTable thead th.sorting_desc:after {
    content: "\f0de" !important;
    font-size: 1.4em !important;
    padding-top: 0.13em !important;
}


#navbar_isi table.dataTable thead th.sorting:before {
    content: "\f0dc" !important;
    font-size: 1.4em !important;
    padding-top: 0.13em !important;
    opacity: 1;
}

#navbar_isi table.dataTable thead th.sorting_asc:before {
    content: "\f0de" !important;
    font-size: 1.4em !important;
    padding-top: 0.13em !important;
}

#navbar_isi table.dataTable thead th.sorting_desc:before {
    content: "\f0dd" !important;
    font-size: 1.4em !important;
    padding-top: 0.13em !important;
}


#navbar_isi table.dataTable thead .sorting_desc::after, 
#navbar_isi table.dataTable thead .sorting_asc::after{
    opacity: 0.3;
}


#navbar_isi table.dataTable thead .sorting_desc::before, 
#navbar_isi table.dataTable thead .sorting_asc::before{
    opacity: 1;
}

/* HANDLE SCROLL EFEK */


#navbar_isi .dataTables_scrollBody > table.dataTable thead th.sorting:after {
    content: "" !important;
}

#navbar_isi .dataTables_scrollBody > table.dataTable thead th.sorting_asc:after {
    content: "" !important;
}

#navbar_isi .dataTables_scrollBody > table.dataTable thead th.sorting_desc:after {
    content: "" !important;
}


#navbar_isi .dataTables_scrollBody > table.dataTable thead th.sorting:before {
    content: "" !important;
}

#navbar_isi .dataTables_scrollBody > table.dataTable thead th.sorting_asc:before {
    content: "" !important;
}

#navbar_isi .dataTables_scrollBody > table.dataTable thead th.sorting_desc:before {
    content: "" !important;
}
/*  */

#navbar_isi .page-link{
    min-width: 22px !important;
}


#navbar_isi .page-link.prev, 
#navbar_isi .page-link.next{
    border:0px !important;
    background: none !important;
    color: #374957 !important;
}

#navbar_isi .page-item.disabled .page-link{
    border:none !important;
    color: #374957 !important;
}

#navbar_isi .page-item.active .page-link{
    border:1px solid #000000 !important;
    color: #374957 !important;
}

#navbar_isi #btn-export-table~.dropdown-menu{
    border:1px solid #BABCBE !important;
    color: #374957 !important;
    border-radius: 0.25rem !important;
}


#navbar_isi #table-data thead th, .dataTables_scrollHeadInner table thead th{
    background: #E8E8E8 !important;
}


#navbar_isi #table-data thead th:nth-child(1), 
#navbar_isi #table-data tbody td:nth-child(1){
    padding-left: 25px !important;
}


#navbar_isi #table-data thead th:last-child, 
#navbar_isi #table-data tbody td:last-child{
    padding-right: 25px !important;
}

#navbar_isi #table-data~.view-pager{
    padding-right: 25px !important;
    padding-left: 25px !important;
    border-top: 1px solid #E8E8E8;
    margin-top: 0px !important;
}

#navbar_isi #table-data_wrapper .dt-buttons{
    display: none;
}

#navbar_isi .form-header {
    display: flex;
    justify-content: space-between;
}

#navbar_isi #saku-print .form-header{
    display: flex;
    justify-content: flex-end !important;
}

#navbar_isi #form-tambah .btn-save, 
#navbar_isi #form-tambah #btn-save, 
#navbar_isi #form-tambah .btn-update, 
#navbar_isi #form-tambah #btn-update{
    margin-right: 5px !important;
}

#navbar_isi .btn-form {
    padding: 0.5rem !important;
    background-color: #ffffff;
    outline: none;
    border: none;
    border-radius: 6px;
}

#navbar_isi .btn-form:hover {
    background-color: #EFEFEF;
}

#navbar_isi .btn-form:active {
    background-color: #bfbfbf;
}


#navbar_isi #form-tambah #btn-kembali{
    padding: 0.5rem !important;
}


#navbar_isi input::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: #ADADAD !important;
    opacity: 1; /* Firefox */
}


#navbar_isi .search-item2 {
    top: 1px !important;
}


#navbar_isi .selectize-input, 
#navbar_isi input:not(#cari):not(input[id*="selectized"]):not(.selectize-input>input):not(fieldset.search-container input){
    /* border-radius: 0.25rem !important;
    border:1px solid #000000 !important;
    position: relative; */
    position: relative;
    border: 1px solid #BABCBE !important;
    box-shadow: 0px 4px 8px rgba(153, 153, 153, 0.25) !important;
}


#navbar_isi .selectize-input, 
#navbar_isi input:not(#cari):not(input[id*="selectized"]):not(.selectize-input>input):not(.input-grid input):not(table input):not(fieldset.search-container input){
    border-radius: 0.25rem !important;
}


#navbar_isi .form-header-fix{
    position: fixed;
    z-index: 4;
    background: white;
    top: 110px;
    width: 100%;
    max-width: inherit;
}

#navbar_isi .form-header-fix ~ .card{
    margin-top: 110px;
}


#navbar_isi table.dataTable th.text-right{
    padding-right: 35px !important;
}


#navbar_isi .form-row .col-1, 
#navbar_isi .form-row .col-2, 
#navbar_isi .form-row .col-3, 
#navbar_isi .form-row .col-4, 
#navbar_isi .form-row .col-5, 
#navbar_isi .form-row .col-6, 
#navbar_isi .form-row .col-7, 
#navbar_isi .form-row .col-8, 
#navbar_isi .form-row .col-9, 
#navbar_isi .form-row .col-10, 
#navbar_isi .form-row .col-11, 
#navbar_isi .form-row .col-12, 
#navbar_isi .form-row .col, 
#navbar_isi .form-row .col-auto, 
#navbar_isi .form-row .col-xs-1, 
#navbar_isi .form-row .col-xs-2, 
#navbar_isi .form-row .col-xs-3, 
#navbar_isi .form-row .col-xs-4, 
#navbar_isi .form-row .col-xs-5, 
#navbar_isi .form-row .col-xs-6, 
#navbar_isi .form-row .col-xs-7, 
#navbar_isi .form-row .col-xs-8, 
#navbar_isi .form-row .col-xs-9, 
#navbar_isi .form-row .col-xs-10, 
#navbar_isi .form-row .col-xs-11, 
#navbar_isi .form-row .col-xs-12, 
#navbar_isi .form-row .col-xs, 
#navbar_isi .form-row .col-xs-auto, 
#navbar_isi .form-row .col-sm-1, 
#navbar_isi .form-row .col-sm-2, 
#navbar_isi .form-row .col-sm-3, 
#navbar_isi .form-row .col-sm-4, 
#navbar_isi .form-row .col-sm-5, 
#navbar_isi .form-row .col-sm-6, 
#navbar_isi .form-row .col-sm-7, 
#navbar_isi .form-row .col-sm-8, 
#navbar_isi .form-row .col-sm-9, 
#navbar_isi .form-row .col-sm-10, 
#navbar_isi .form-row .col-sm-11, 
#navbar_isi .form-row .col-sm-12, 
#navbar_isi .form-row .col-sm, 
#navbar_isi .form-row .col-sm-auto, 
#navbar_isi .form-row .col-md-1, 
#navbar_isi .form-row .col-md-2, 
#navbar_isi .form-row .col-md-3, 
#navbar_isi .form-row .col-md-4, 
#navbar_isi .form-row .col-md-5, 
#navbar_isi .form-row .col-md-6, 
#navbar_isi .form-row .col-md-7, 
#navbar_isi .form-row .col-md-8, 
#navbar_isi .form-row .col-md-9, 
#navbar_isi .form-row .col-md-10, 
#navbar_isi .form-row .col-md-11, 
#navbar_isi .form-row .col-md-12, 
#navbar_isi .form-row .col-md, 
#navbar_isi .form-row .col-md-auto, 
#navbar_isi .form-row .col-lg-1, 
#navbar_isi .form-row .col-lg-2, 
#navbar_isi .form-row .col-lg-3, 
#navbar_isi .form-row .col-lg-4, 
#navbar_isi .form-row .col-lg-5, 
#navbar_isi .form-row .col-lg-6, 
#navbar_isi .form-row .col-lg-7, 
#navbar_isi .form-row .col-lg-8, 
#navbar_isi .form-row .col-lg-9, 
#navbar_isi .form-row .col-lg-10, 
#navbar_isi .form-row .col-lg-11, 
#navbar_isi .form-row .col-lg-12, 
#navbar_isi .form-row .col-lg, 
#navbar_isi .form-row .col-lg-auto, 
#navbar_isi .form-row .col-xl-1, 
#navbar_isi .form-row .col-xl-2, 
#navbar_isi .form-row .col-xl-3, 
#navbar_isi .form-row .col-xl-4, 
#navbar_isi .form-row .col-xl-5, 
#navbar_isi .form-row .col-xl-6, 
#navbar_isi .form-row .col-xl-7, 
#navbar_isi .form-row .col-xl-8, 
#navbar_isi .form-row .col-xl-9, 
#navbar_isi .form-row .col-xl-10, 
#navbar_isi .form-row .col-xl-11, 
#navbar_isi .form-row .col-xl-12, 
#navbar_isi .form-row .col-xl, 
#navbar_isi .form-row .col-xl-auto, 
#navbar_isi .form-row .col-xxl-1, 
#navbar_isi .form-row .col-xxl-2, 
#navbar_isi .form-row .col-xxl-3, 
#navbar_isi .form-row .col-xxl-4, 
#navbar_isi .form-row .col-xxl-5, 
#navbar_isi .form-row .col-xxl-6, 
#navbar_isi .form-row .col-xxl-7, 
#navbar_isi .form-row .col-xxl-8, 
#navbar_isi .form-row .col-xxl-9, 
#navbar_isi .form-row .col-xxl-10, 
#navbar_isi .form-row .col-xxl-11, 
#navbar_isi .form-row .col-xxl-12, 
#navbar_isi .form-row .col-xxl, 
#navbar_isi .form-row .col-xxl-auto{
    padding-left: 10px !important;
    padding-right: 10px !important;
}


#navbar_isi .card .card-body, 
#navbar_isi .card-body{
    padding: 1.5rem;
}

#navbar_isi .form-header {
    display: flex;
    justify-content: space-between;
}

#navbar_isi #form-tambah .btn-save, 
#navbar_isi #form-tambah #btn-save, 
#navbar_isi #form-tambah .btn-update, 
#navbar_isi #form-tambah #btn-update{
    margin-right: 5px !important;
}


#navbar_isi .btn-form {
    padding: 0.5rem;
    background-color: #ffffff;
    outline: none;
    border: none;
    border-radius: 6px;
}

#navbar_isi .btn-form:hover {
    background-color: #EFEFEF;
}

#navbar_isi .btn-form:active {
    background-color: #bfbfbf;
}

#navbar_isi .btn-action {
    outline: none;
    border: none;
    padding: 0.5rem 0.6rem;
    background-color: #ffffff;
}

#navbar_isi .btn-action:hover {
    background-color: #EFEFEF;
}

#navbar_isi .table-upload, 
#navbar_isi .input-grid {
    border-collapse: collapse;
    border-spacing: 0;
    width: 100%;
    border: 1px solid #858585 !important;
}

#navbar_isi .table-upload thead th {
    border: 1px solid #858585 !important;
    padding: 2px 8px !important;
    background-color: #F1F1F1;
    text-align: center;
    height: 30px !important;
}

#navbar_isi .table-upload tbody td {
    border: 1px solid #858585 !important;
    padding: 2px 8px !important;
    height: 30px !important;
}

#navbar_isi .input-grid thead th {
    border: 1px solid #858585 !important;
    padding: 0.4rem;
    background-color: #F1F1F1;
    text-align: center;
    height: 30px !important;
}

#navbar_isi .input-grid tbody td {
    border: 1px solid #858585 !important;
    padding: 0.6rem;
    height: 30px !important;
}


#navbar_isi .table-view{
    border-collapse: collapse;
    border-spacing: 0;
    width: 100%;
    border: 1px solid #858585 !important;
}

#navbar_isi .table-view thead th{
    border: 1px solid #858585 !important;
    padding: 2px 8px !important;
    height: 30px !important;
    background-color: #F1F1F1;
    text-align: center;
}

#navbar_isi .table-view tbody td{
    border: 1px solid #858585 !important;
    padding: 2px 8px !important;
    height: 30px !important;
    overflow: hidden;
}


#navbar_isi .table-view-dt{
    border-collapse: collapse;
    border-spacing: 0;
    width: 100%;
    border: 1px solid #858585 !important;
}

#navbar_isi .dataTables_scrollHeadInner .table-view-dt thead th{
    height: 30px !important;
    padding: 0px 8px !important;
}

#navbar_isi .dataTables_scrollBody .table-view-dt thead th{
    height: 0px !important;
    padding: 0px 8px !important;
}

#navbar_isi .table-view-dt thead th{
    border: 1px solid #858585 !important;
    padding: 0px 8px !important;
    background-color: #F1F1F1;
    text-align: center;
}

#navbar_isi .table-view-dt tbody td{
    border: 1px solid #858585 !important;
    padding: 0px 8px !important;
    height: 30px !important;
    overflow: hidden;
}

/* DATATABLE VIEW INPUT */


#navbar_isi .table-view-dt-inp{
    border-collapse: collapse;
    border-spacing: 0;
    width: 100%;
    border: 1px solid #858585 !important;
}

#navbar_isi .dataTables_scrollHeadInner .table-view-dt-inp thead th{
    height: 30px !important;
    padding: 0px 8px !important;
}

#navbar_isi .dataTables_scrollBody .table-view-dt-inp thead th{
    height: 0px !important;
    padding: 0px 8px !important;
}

#navbar_isi .table-view-dt-inp thead th{
    border: 1px solid #858585 !important;
    padding: 0px 8px !important;
    background-color: #F1F1F1;
    text-align: center;
    height: 30px !important;
}

#navbar_isi .table-view-dt-inp tbody td{
    border: 1px solid #858585 !important;
    height: 30px !important;
    overflow: hidden;
}


#navbar_isi .table-view-dt-inp tbody td:not(.p-0){
    padding: 2px 8px !important;
}


#navbar_isi .table-select{
    border-collapse: collapse;
    border-spacing: 0;
    width: 100%;
    border: 1px solid #858585 !important;
}

#navbar_isi .table-select thead th{
    border: 1px solid #858585 !important;
    background-color: #F1F1F1;
}
#navbar_isi .table-select tbody td{
    border: 1px solid #858585 !important;
}


#navbar_isi .btn-nav-tab {
    outline: none;
    border: none;
    padding: 0.2rem 0.85rem 0.4rem 0.65rem;
    border-radius: 100%;
    background-color: #ffffff;
    box-shadow: 0px 4px 4px rgba(164, 164, 164, 0.25);
}

#navbar_isi .btn-nav-tab-right{
    padding: 0.2rem 0.65rem 0.4rem 0.85rem !important;
}

#navbar_isi .btn-nav-tab:hover, 
#navbar_isi .btn-nav-tab:active {
    background-color: #EFEFEF;
}

#navbar_isi .nav-tabs{
    border-bottom: 0px !important;
}


#navbar_isi .nav-tabs.nav-normal{
    border-bottom: 1px solid #D3D3D3 !important;
}


#navbar_isi .nav-normal .nav-item {
    padding: 0rem 0.5rem;
}


#navbar_isi .nav-item{
    padding: 0.25rem;
}


#navbar_isi .nav-link {
    padding: 0.35rem 1.5rem !important;
}


#navbar_isi .nav-normal .nav-link {
    padding: 0.5rem 0.5rem !important;
}


#navbar_isi .nav-link:hover {
    background-color: #375CB4;
    color: #ffffff;
    border-radius: 4px;
}

#navbar_isi .nav-normal .nav-link:hover{
    border-color: #375CB4;
    color: black;
    border-radius: 4px;
}

#navbar_isi .nav-link.active, 
#navbar_isi .nav-link:hover {
    background-color: #375CB4 !important;
    color: #ffffff !important;
    box-shadow: 0px 4px 8px rgba(55, 92, 180, 0.25);
    border-radius: 4px;
    font-weight: normal !important;
}

#navbar_isi .nav-normal .nav-link.active, #navbar_isi .nav-normal .nav-link:hover {
    border-color: #375CB4 !important;
    color: black !important;
    box-shadow: none;
    border-radius: 4px;
    font-weight: normal !important;
    background: white !important;
}


#navbar_isi .nav-link.active::before {
    background: none !important;
}


#navbar_isi .nav-normal .nav-link.active::before {
    background: #375CB4 !important;
}


#navbar_isi .dataTables_scrollBody th{
    padding: 0px 8px!important;
    border: 0px !important;
}


#navbar_isi .dataTables_scrollHeadInner th {
    padding: 8px !important;
    border-bottom: 0px !important;
    vertical-align:middle;
    text-align:center;
}

#navbar_isi .table-upload th, #navbar_isi .table-upload.td{
    border-color: #858585 !important
}


#navbar_isi .form-body-new{
    height: unset !important;
}


#navbar_isi .add-row, 
#navbar_isi .add-row-dok {
    background-color: #EFEFEF;
    border: 1px solid #A9A9A9;
}

#navbar_isi .add-row:hover, 
#navbar_isi .add-row-dok:hover {
    background-color: #D3D3D3;
}

#navbar_isi #catatan_log{
    background: white;
    padding: 1.5rem 1rem;
}


#navbar_isi span.badge-costum{
    padding: 0.4rem 1.25rem !important;
    font-size: 0.65rem !important;
}

#navbar_isi .badge-costum.badge-warning{
    background-color: #FC7B28 !important;
}

#navbar_isi .badge-costum.badge-success{
    background-color: #1FD224 !important;
}

#navbar_isi .badge-costum.badge-danger{
    background-color: #FF0000 !important;
}

#navbar_isi .badge-costum.badge-grey{
    background-color: #BABCBE !important;
    color:white !important;
}

#navbar_isi .badge-costum.badge-blue{
    background: #00C4FF !important;
    color:white !important;
}

#navbar_isi .badge-costum.badge-primary{
    background: #375cb4 !important;
    color:white !important;
}

#navbar_isi .badge-costum.badge-purple{
    background: #9f37b4 !important;
    color:white !important;
}


#navbar_isi .add-row, .add-row-dok{
    height: 40px !important;
    border-radius: 20px !important;
    border: none !important;
}

#navbar_isi .add-row img, .add-row-dok img{
    height: 22px !important;
    margin-right: 5px !important;
}

#navbar_isi .daterangepicker .calendar-table th{
    border-radius: 0px !important;
}


#navbar_isi .daterangepicker{
    width: max-content;
    left: 0 !important;
}

/* add Toogle */

#navbar_isi .switch-toggle {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
}

#navbar_isi .switch-toggle .label-switch {
    align-self: center;
    padding-left: 1.5rem;
}

#navbar_isi #uncheck {
    display: none;
}

#navbar_isi #check {
    display: inline-block;
}

#navbar_isi #inactive {
    display: none;
}

#navbar_isi #active {
    display: inline-block;
}

/* The switch - the box around the slider */

#navbar_isi .switch {
    position: relative;
    display: inline-block;
    width: 65px;
    height: 30px;
}

/* Hide default HTML checkbox */

#navbar_isi .switch input {
    opacity: 0;
    width: 0;
    height: 0;
}


/* The slider */

#navbar_isi .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #f1f1f1;
    -webkit-transition: 0.4s;
    transition: 0.4s;
}


#navbar_isi .slider:before {
    position: absolute;
    content: "";
    height: 22px;
    width: 22px;
    left: 4px;
    bottom: 2px;
    background-color: #d9d9d9;
    -webkit-transition: 0.4s;
    transition: 0.4s;
}


#navbar_isi input[type="checkbox"]:checked + .slider {
    background-color: #00C900;
}

/* input:focus + .slider {
    box-shadow: 0 0 1px #00C900;
} */


#navbar_isi input:checked + .slider:before {
    -webkit-transform: translateX(28px);
    -ms-transform: translateX(28px);
    transform: translateX(28px);
    background: white !important;
}

/* Rounded sliders */

#navbar_isi .slider.round {
    border-radius: 34px;
}


#navbar_isi .slider.round:before {
    border-radius: 50%;
}
/* End add*/



#navbar_isi .inputfile {
    width: 0;
    height: 0;
    opacity: 0;
    overflow: hidden;
    position: absolute;
    z-index: -1;
}


#navbar_isi .inputfile + label {
    max-width: 80%;
    font-size: 1.25rem;
    font-weight: 700;
    text-overflow: ellipsis;
    white-space: nowrap;
    cursor: pointer;
    overflow: hidden;
    padding: 0.2rem 0.5rem;
    /* 10px 20px */
    color:white;
    background: #375CB4;
    border-radius: 10px;
    display: inline;
    position: relative;
    top: -2px;

}


#navbar_isi .no-js .inputfile + label {
    display: none;
}


#navbar_isi .inputfile:focus + label,

#navbar_isi .inputfile.has-focus + label {
    outline: 1px dotted #000;
    outline: -webkit-focus-ring-color auto 5px;
}


#navbar_isi .inputfile + label svg {
    width: 1em;
    height: 1em;
    vertical-align: middle;
    fill: currentColor;
    margin-top: -0.25em;
    /* 4px */
    margin-right: 0.25em;
    /* 4px */
}



#navbar_isi .inputfile2 {
    width: 0;
    height: 0;
    opacity: 0;
    overflow: hidden;
    position: absolute;
    z-index: -1;
}


#navbar_isi .inputfile2 + label {
    max-width: 80%;
    font-size: 1.25rem;
    text-overflow: ellipsis;
    white-space: nowrap;
    cursor: pointer;
    overflow: hidden;
    padding: 0.2rem 1rem;
    /* 10px 20px */
    color:white;
    background: #375CB4;
    border-radius: 5px;
    display: inline;
    position: relative;
    top: -2px;

}


#navbar_isi .no-js .inputfile2 + label {
    display: none;
}


#navbar_isi .inputfile2:focus + label,

#navbar_isi .inputfile2.has-focus + label {
    outline: 1px dotted #000;
    outline: -webkit-focus-ring-color auto 5px;
}


#navbar_isi .inputfile2 + label svg {
    width: 1em;
    height: 1em;
    vertical-align: middle;
    fill: currentColor;
    margin-top: -0.25em;
    /* 4px */
    margin-right: 0.25em;
    /* 4px */
}


/* style 1 */


#navbar_isi .inputfile-1 + label {
    color: #f1e5e6;
    background-color: #d3394c;
}

#navbar_isi .inputfile-1:focus + label,
#navbar_isi .inputfile-1.has-focus + label,
#navbar_isi .inputfile-1 + label:hover {
    background-color: #722040;
}

#navbar_isi .table-py-0 td,
#navbar_isi .table-py-0 th{
    padding: 0px 8px !important;
}

#navbar_isi .custom-file-label{
    box-shadow: 0px 4px 8px rgba(153, 153, 153, 0.25) !important;
    border-radius: 0.25rem !important;
    border-color: #BABCBE;
}

#navbar_isi .custom-file-label::after{
    content:"Cari berkas" !important;
    border-left:0;
    color: var(--theme-color-1) !important;
}

#navbar_isi .preview{
    box-shadow: 0px 4px 8px rgba(153, 153, 153, 0.25) !important;
}

#navbar_isi .imgHolder {
    position: relative;
}

#navbar_isi .imgHolder span.badge {
    position: absolute !important;
    left: -10px;
    top: 40px;
}

#navbar_isi .need-app img{
    opacity: 0.25;
}

#navbar_isi .approved img{
    opacity: 1;
}

#navbar_isi .approved .badge-costum{
    display: none;
}

#navbar_isi .btn-primary.btn-custom{
    background: #375CB4 !important;
}

#navbar_isi .red-text{
    color:#dc3545 !important;
}

#navbar_isi .green-text{
    color:#00C900 !important;
}

#navbar_isi .italic{
    font-style: italic !important;
}

#navbar_isi #saku-print h6{
    font-size: 1.25rem !important;
}

#navbar_isi button.disabled{
    cursor: not-allowed;
}

#navbar_isi .w-5{
    width: 5% !important;
}

#navbar_isi .w-95{
    width: 95% !important;
}

#navbar_isi .isi-report table td{
    vertical-align: top !important;
}

#navbar_isi .select.form-control{
    border: 1px solid #BABCBE !important;
    box-shadow: 0px 4px 8px rgba(153, 153, 153, 0.25) !important;
}
#navbar_isi select.form-control option{
    height: 30px !important;
}

#navbar_isi .MsoTableGrid td{
    border-top: unset !important;
}

#navbar_isi .custom-file-label{
    display: inline-flex;
    overflow: clip;
}

#navbar_isi td.editing{
    padding: 0px !important;
}

#navbar_isi .edit-input{
    height: 30px !important;
    width:100%;
}

#navbar_isi .edit-input input{
    height: 30px !important;
    width:100%;
}

#navbar_isi .edit-input[readonly]{
    background: #BABCBE;
}

#navbar_isi .edit-input[readonly]:focus{
    background: #BABCBE;
    box-shadow: none !important;
    cursor: not-allowed;
}

